Opened 21 months ago

Closed 20 months ago

Last modified 19 months ago

#58064 closed defect (fixed)

py-pyqwt installed failed

Reported by: kunrenzhilu Owned by: michaelld (Michael Dickens)
Priority: Normal Milestone:
Component: ports Version: 2.5.4
Keywords: Cc:
Port: py-pyqwt

Description

version:1
:debug:sysinfo macOS 10.13 (darwin/17.7.0) arch i386
:debug:sysinfo MacPorts 2.5.4
:debug:sysinfo Xcode 10.1
:debug:sysinfo SDK 10.13
:debug:sysinfo MACOSX_DEPLOYMENT_TARGET: 10.13
:debug:clean dropping privileges: euid changed to 502, egid changed to 501.
:debug:main Executing org.macports.main (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:archivefetch archivefetch phase started at Thu Feb 14 20:22:33 +08 2019
:msg:archivefetch --->  Fetching archive for py27-pyqwt
:debug:archivefetch Executing org.macports.archivefetch (py27-pyqwt)
:debug:archivefetch euid/egid changed to: 0/0
:debug:archivefetch chowned /opt/local/var/macports/incoming to macports
:debug:archivefetch euid/egid changed to: 502/501
:info:archivefetch --->  py27-pyqwt-5.2.0_12.darwin_17.x86_64.tbz2 doesn't seem to exist in /opt/local/var/macports/incoming/verified
:msg:archivefetch --->  Attempting to fetch py27-pyqwt-5.2.0_12.darwin_17.x86_64.tbz2 from http://jog.id.packages.macports.org/macports/packages/py27-pyqwt
:debug:archivefetch Fetching archive failed: The requested URL returned error: 404 Not Found
:msg:archivefetch --->  Attempting to fetch py27-pyqwt-5.2.0_12.darwin_17.x86_64.tbz2 from https://pek.cn.packages.macports.org/macports/packages/py27-pyqwt
:debug:archivefetch Fetching archive failed: The requested URL returned error: 404 Not Found
:msg:archivefetch --->  Attempting to fetch py27-pyqwt-5.2.0_12.darwin_17.x86_64.tbz2 from http://kmq.jp.packages.macports.org/py27-pyqwt
:debug:archivefetch Fetching archive failed: The requested URL returned error: 404 Not Found
:debug:archivefetch Privilege de-escalation not attempted as not running as root.
:debug:fetch fetch phase started at Thu Feb 14 20:22:34 +08 2019
:notice:fetch --->  Fetching distfiles for py27-pyqwt
:debug:fetch Executing org.macports.fetch (py27-pyqwt)
:info:fetch --->  PyQwt-5.2.0.tar.gz does not exist in /opt/local/var/macports/distfiles/python
:notice:fetch --->  Attempting to fetch PyQwt-5.2.0.tar.gz from http://jog.id.distfiles.macports.org/macports/distfiles/python
:debug:fetch Privilege de-escalation not attempted as not running as root.
:debug:checksum checksum phase started at Thu Feb 14 20:22:35 +08 2019
:notice:checksum --->  Verifying checksums for py27-pyqwt
:debug:checksum Executing org.macports.checksum (py27-pyqwt)
:info:checksum --->  Checksumming PyQwt-5.2.0.tar.gz
:debug:checksum Calculated (rmd160) is e4c8a63d623d974cd500e29fbc62255746ca7feb
:debug:checksum Correct (rmd160) checksum for PyQwt-5.2.0.tar.gz
:debug:checksum Calculated (sha256) is 98a8c7e0c76d07701c11dffb77793b05f071b664a8b520d6e97054a98179e70b
:debug:checksum Correct (sha256) checksum for PyQwt-5.2.0.tar.gz
:debug:checksum Privilege de-escalation not attempted as not running as root.
:debug:extract extract phase started at Thu Feb 14 20:22:35 +08 2019
:notice:extract --->  Extracting py27-pyqwt
:debug:extract Executing org.macports.extract (py27-pyqwt)
:info:extract --->  Extracting PyQwt-5.2.0.tar.gz
:debug:extract setting option extract.args to '/opt/local/var/macports/distfiles/python/PyQwt-5.2.0.tar.gz'
:debug:extract Environment: 
:debug:extract CC_PRINT_OPTIONS='YES'
:debug:extract CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/.CC_PRINT_OPTIONS'
:debug:extract CPATH='/opt/local/include'
:debug:extract LIBRARY_PATH='/opt/local/lib'
:debug:extract MACOSX_DEPLOYMENT_TARGET='10.13'
:info:extract Executing:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work" && /usr/bin/gzip -dc '/opt/local/var/macports/distfiles/python/PyQwt-5.2.0.tar.gz' | /usr/bin/tar -xf - 
:debug:extract system:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work" && /usr/bin/gzip -dc '/opt/local/var/macports/distfiles/python/PyQwt-5.2.0.tar.gz' | /usr/bin/tar -xf - 
:debug:extract euid/egid changed to: 0/0
:debug:extract chowned /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work to macports
:debug:extract euid/egid changed to: 502/501
:debug:extract Executing proc-post-org.macports.extract-extract-0
:debug:extract Privilege de-escalation not attempted as not running as root.
:debug:patch patch phase started at Thu Feb 14 20:22:35 +08 2019
:debug:patch Executing org.macports.patch (py27-pyqwt)
:debug:patch Privilege de-escalation not attempted as not running as root.
:debug:configure configure phase started at Thu Feb 14 20:22:35 +08 2019
:notice:configure --->  Configuring py27-pyqwt
:debug:configure Preferred compilers: clang macports-clang-5.0 macports-clang-4.0
:debug:configure Using compiler 'Xcode Clang'
:debug:configure Executing org.macports.configure (py27-pyqwt)
:debug:configure Environment: 
:debug:configure CC='/usr/bin/clang'
:debug:configure CC_PRINT_OPTIONS='YES'
:debug:configure CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/.CC_PRINT_OPTIONS'
:debug:configure CFLAGS='-pipe -Os -arch x86_64'
:debug:configure CPATH='/opt/local/include'
:debug:configure CPPFLAGS='-I/opt/local/include'
:debug:configure CXX='/usr/bin/clang++'
:debug:configure CXXFLAGS='-pipe -Os -stdlib=libc++ -arch x86_64'
:debug:configure F77FLAGS='-m64'
:debug:configure F90FLAGS='-pipe -Os -m64'
:debug:configure FCFLAGS='-pipe -Os -m64'
:debug:configure FFLAGS='-pipe -Os'
:debug:configure INSTALL='/usr/bin/install -c'
:debug:configure LDFLAGS='-L/opt/local/lib -Wl,-headerpad_max_install_names -arch x86_64'
:debug:configure LIBRARY_PATH='/opt/local/lib'
:debug:configure MACOSX_DEPLOYMENT_TARGET='10.13'
:debug:configure OBJC='/usr/bin/clang'
:debug:configure OBJCFLAGS='-pipe -Os -arch x86_64'
:debug:configure OBJCXX='/usr/bin/clang++'
:debug:configure OBJCXXFLAGS='-pipe -Os -stdlib=libc++ -arch x86_64'
:info:configure Executing:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/PyQwt-5.2.0/configure" && /opt/local/bin/python2.7 configure.py -I /opt/local/include -I /opt/local/include/qwt -I /opt/local/include/python2.7 -L /opt/local/lib --disable-numarray --disable-numeric 
:debug:configure system:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/PyQwt-5.2.0/configure" && /opt/local/bin/python2.7 configure.py -I /opt/local/include -I /opt/local/include/qwt -I /opt/local/include/python2.7 -L /opt/local/lib --disable-numarray --disable-numeric 
:info:configure size_t_check.cpp:3:9: error: out-of-line definition of 'f' does not match any declaration in 'a'
:info:configure void a::f(unsigned int) {};
:info:configure         ^
:info:configure 1 error generated.
:info:configure size_t_check.cpp:3:9: error: out-of-line definition of 'f' does not match any declaration in 'a'
:info:configure void a::f(unsigned long long) {};
:info:configure         ^
:info:configure 1 error generated.
:info:configure Project MESSAGE: qtAddLibrary: found framework QtCore in directory /opt/local/libexec/qt4/Library/Frameworks
:info:configure /usr/bin/clang++ -c -pipe -O2 -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.13 -Wall -W -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED -I/opt/local/libexec/qt4/share/mkspecs/macx-g++ -I. -I. -I/opt/local/libexec/qt4/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/opt/local/include -I/opt/local/include/qwt -I/opt/local/include/python2.7 -I/opt/local/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy/core/include -I/opt/local/libexec/qt4/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/opt/local/libexec/qt4/include -F/opt/local/libexec/qt4/Library/Frameworks -F/opt/local/libexec/qt4/lib -o qwt_version_info.o qwt_version_info.cpp
:info:configure /usr/bin/clang++ -headerpad_max_install_names -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.13 -o qwt_version_info.app/Contents/MacOS/qwt_version_info qwt_version_info.o   -F/opt/local/libexec/qt4/Library/Frameworks -F/opt/local/libexec/qt4/lib  -F/opt/local/libexec/qt4/Library/Frameworks -F/opt/local/libexec/qt4/lib -L/opt/local/libexec/qt4/lib -framework QtCore 
:info:configure qwt_svg_check.cpp:1:10: fatal error: 'qwt_plot_svgitem.h' file not found
:info:configure #include <qwt_plot_svgitem.h>
:info:configure          ^~~~~~~~~~~~~~~~~~~~
:info:configure 1 error generated.
:info:configure sip: Deprecation warning: ../sip/iqt5qt4/IQtModule.sip:32: %Module version number should be specified using the 'version' argument
:info:configure sip: Deprecation warning: ../sip/qwt5qt4/QwtModule.sip:32: %Module version number should be specified using the 'version' argument
:info:configure sip: ../sip/qwt5qt4/QwtTypes.sip:5: syntax error
:info:configure Command line options:
:info:configure {'debug': False,
:info:configure  'disable_numarray': True,
:info:configure  'disable_numeric': True,
:info:configure  'disable_numpy': False,
:info:configure  'excluded_features': [],
:info:configure  'extra_cflags': [],
:info:configure  'extra_cxxflags': [],
:info:configure  'extra_defines': [],
:info:configure  'extra_include_dirs': ['/opt/local/include',
:info:configure                         '/opt/local/include/qwt',
:info:configure                         '/opt/local/include/python2.7'],
:info:configure  'extra_lflags': [],
:info:configure  'extra_lib_dirs': ['/opt/local/lib'],
:info:configure  'extra_libs': [],
:info:configure  'jobs': '',
:info:configure  'module_install_path': '',
:info:configure  'modules': [],
:info:configure  'qt': 4,
:info:configure  'qwt_sources': '',
:info:configure  'sip_include_dirs': [],
:info:configure  'subdirs': [],
:info:configure  'timelines': [],
:info:configure  'trace': ''}
:info:configure Found SIP-4.19.14.
:info:configure Found 'posix' operating system:
:info:configure 2.7.15 (default, Sep 12 2018, 13:32:25) 
:info:configure [GCC 4.2.1 Compatible Apple LLVM 9.1.0 (clang-902.0.39.2)]
:info:configure Do not get upset by error messages in the next 3 compiler checks:
:info:configure Check if 'size_t' and 'unsigned int' are the same type:
:info:configure NO
:info:configure Check if 'size_t' and 'unsigned long' are the same type:
:info:configure YES
:info:configure Check if 'size_t' and 'unsigned long long' are the same type:
:info:configure NO
:info:configure Found NumPy-1.16.1.
:info:configure Found Qwt-5.1.2.
:info:configure Extended command line options:
:info:configure {'debug': False,
:info:configure  'disable_numarray': True,
:info:configure  'disable_numeric': True,
:info:configure  'disable_numpy': False,
:info:configure  'excluded_features': ['-x HAS_PYQT_031105',
:info:configure                        '-x HAS_NUMARRAY',
:info:configure                        '-x HAS_NUMERIC',
:info:configure                        '-x HAS_QWT4',
:info:configure                        '-x HAS_QWT_SVG'],
:info:configure  'extra_cflags': [],
:info:configure  'extra_cxxflags': [],
:info:configure  'extra_defines': ['HAS_NUMPY'],
:info:configure  'extra_include_dirs': ['/opt/local/include',
:info:configure                         '/opt/local/include/qwt',
:info:configure                         '/opt/local/include/python2.7',
:info:configure                         '/opt/local/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7',
:info:configure                         '/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy/core/include'],
:info:configure  'extra_lflags': [],
:info:configure  'extra_lib_dirs': ['/opt/local/lib'],
:info:configure  'extra_libs': [],
:info:configure  'iqt': 'iqt5qt4',
:info:configure  'iqt_sipfile': '../sip/iqt5qt4/IQtModule.sip',
:info:configure  'jobs': '',
:info:configure  'module_install_path': '/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/PyQt4/Qwt5',
:info:configure  'modules': ['iqt', 'Qwt5'],
:info:configure  'qt': 4,
:info:configure  'qwt': 'qwt5qt4',
:info:configure  'qwt_sipfile': '../sip/qwt5qt4/QwtModule.sip',
:info:configure  'qwt_sources': '',
:info:configure  'sip_include_dirs': [],
:info:configure  'subdirs': ['iqt5qt4', 'qwt5qt4'],
:info:configure  'timelines': ['-t Qwt_5_1_1'],
:info:configure  'trace': ''}
:info:configure The following modules will be built: ['iqt', 'Qwt5'].
:info:configure Setup the PyQwt package build.
:info:configure sip invokation:
:info:configure '/opt/local/bin/sip-2.7 -b tmp-iqt5qt4/iqt5qt4.sbf -c tmp-iqt5qt4   ../sip/iqt5qt4/IQtModule.sip'
:info:configure Copy tmp-iqt5qt4/sip_iqtcmodule.cpp -> iqt5qt4/sip_iqtcmodule.cpp.
:info:configure Copy tmp-iqt5qt4/sipAPI_iqt.h -> iqt5qt4/sipAPI_iqt.h.
:info:configure Copy tmp-iqt5qt4/iqt5qt4.sbf -> iqt5qt4/iqt5qt4.sbf.
:info:configure 3 file(s) lazily copied.
:info:configure Setup the PyQwt package build.
:info:configure sip invokation:
:info:configure '/opt/local/bin/sip-2.7 -I /opt/local/Library/Frameworks/Python.framework/Versions/2.7/share/sip/PyQt4 -b tmp-qwt5qt4/qwt5qt4.sbf -c tmp-qwt5qt4   -x VendorID -t WS_MACX -x PyQt_NoPrintRangeBug -t Qt_4_8_6 -x Py_v3 -g -x HAS_PYQT_031105 -x HAS_NUMARRAY -x HAS_NUMERIC -x HAS_QWT4 -x HAS_QWT_SVG -t Qwt_5_1_1 ../sip/qwt5qt4/QwtModule.sip'
:info:configure SIP failed to generate the C++ code.
:info:configure Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/PyQwt-5.2.0/configure" && /opt/local/bin/python2.7 configure.py -I /opt/local/include -I /opt/local/include/qwt -I /opt/local/include/python2.7 -L /opt/local/lib --disable-numarray --disable-numeric 
:info:configure Exit code: 1
:error:configure Failed to configure py27-pyqwt: configure failure: command execution failed
:debug:configure Error code: NONE
:debug:configure Backtrace: configure failure: command execution failed
:debug:configure     while executing
:debug:configure "$procedure $targetname"
:error:configure See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/main.log for details.
version:1
:debug:sysinfo macOS 10.13 (darwin/17.7.0) arch i386
:debug:sysinfo MacPorts 2.5.4
:debug:sysinfo Xcode 10.1
:debug:sysinfo SDK 10.13
:debug:sysinfo MACOSX_DEPLOYMENT_TARGET: 10.13
:debug:main dropping privileges: euid changed to 502, egid changed to 501.
:debug:main Executing org.macports.main (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:main Skipping completed org.macports.archivefetch (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:main Skipping completed org.macports.fetch (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:main Skipping completed org.macports.checksum (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:main Skipping completed org.macports.extract (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:main Skipping completed org.macports.patch (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:configure configure phase started at Thu Feb 14 20:26:37 +08 2019
:notice:configure --->  Configuring py27-pyqwt
:debug:configure Preferred compilers: clang macports-clang-5.0 macports-clang-4.0
:debug:configure Using compiler 'Xcode Clang'
:debug:configure Executing org.macports.configure (py27-pyqwt)
:debug:configure Environment: 
:debug:configure CC='/usr/bin/clang'
:debug:configure CC_PRINT_OPTIONS='YES'
:debug:configure CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/.CC_PRINT_OPTIONS'
:debug:configure CFLAGS='-pipe -Os -arch x86_64'
:debug:configure CPATH='/opt/local/include'
:debug:configure CPPFLAGS='-I/opt/local/include'
:debug:configure CXX='/usr/bin/clang++'
:debug:configure CXXFLAGS='-pipe -Os -stdlib=libc++ -arch x86_64'
:debug:configure F77FLAGS='-m64'
:debug:configure F90FLAGS='-pipe -Os -m64'
:debug:configure FCFLAGS='-pipe -Os -m64'
:debug:configure FFLAGS='-pipe -Os'
:debug:configure INSTALL='/usr/bin/install -c'
:debug:configure LDFLAGS='-L/opt/local/lib -Wl,-headerpad_max_install_names -arch x86_64'
:debug:configure LIBRARY_PATH='/opt/local/lib'
:debug:configure MACOSX_DEPLOYMENT_TARGET='10.13'
:debug:configure OBJC='/usr/bin/clang'
:debug:configure OBJCFLAGS='-pipe -Os -arch x86_64'
:debug:configure OBJCXX='/usr/bin/clang++'
:debug:configure OBJCXXFLAGS='-pipe -Os -stdlib=libc++ -arch x86_64'
:info:configure Executing:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/PyQwt-5.2.0/configure" && /opt/local/bin/python2.7 configure.py -I /opt/local/include -I /opt/local/include/qwt -I /opt/local/include/python2.7 -L /opt/local/lib --disable-numarray --disable-numeric 
:debug:configure system:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/PyQwt-5.2.0/configure" && /opt/local/bin/python2.7 configure.py -I /opt/local/include -I /opt/local/include/qwt -I /opt/local/include/python2.7 -L /opt/local/lib --disable-numarray --disable-numeric 
:info:configure size_t_check.cpp:3:9: error: out-of-line definition of 'f' does not match any declaration in 'a'
:info:configure void a::f(unsigned int) {};
:info:configure         ^
:info:configure 1 error generated.
:info:configure size_t_check.cpp:3:9: error: out-of-line definition of 'f' does not match any declaration in 'a'
:info:configure void a::f(unsigned long long) {};
:info:configure         ^
:info:configure 1 error generated.
:info:configure Project MESSAGE: qtAddLibrary: found framework QtCore in directory /opt/local/libexec/qt4/Library/Frameworks
:info:configure /usr/bin/clang++ -c -pipe -O2 -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.13 -Wall -W -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED -I/opt/local/libexec/qt4/share/mkspecs/macx-g++ -I. -I. -I/opt/local/libexec/qt4/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/opt/local/include -I/opt/local/include/qwt -I/opt/local/include/python2.7 -I/opt/local/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy/core/include -I/opt/local/libexec/qt4/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/opt/local/libexec/qt4/include -F/opt/local/libexec/qt4/Library/Frameworks -F/opt/local/libexec/qt4/lib -o qwt_version_info.o qwt_version_info.cpp
:info:configure /usr/bin/clang++ -headerpad_max_install_names -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.13 -o qwt_version_info.app/Contents/MacOS/qwt_version_info qwt_version_info.o   -F/opt/local/libexec/qt4/Library/Frameworks -F/opt/local/libexec/qt4/lib  -F/opt/local/libexec/qt4/Library/Frameworks -F/opt/local/libexec/qt4/lib -L/opt/local/libexec/qt4/lib -framework QtCore 
:info:configure qwt_svg_check.cpp:1:10: fatal error: 'qwt_plot_svgitem.h' file not found
:info:configure #include <qwt_plot_svgitem.h>
:info:configure          ^~~~~~~~~~~~~~~~~~~~
:info:configure 1 error generated.
:info:configure sip: Deprecation warning: ../sip/iqt5qt4/IQtModule.sip:32: %Module version number should be specified using the 'version' argument
:info:configure sip: Deprecation warning: ../sip/qwt5qt4/QwtModule.sip:32: %Module version number should be specified using the 'version' argument
:info:configure sip: ../sip/qwt5qt4/QwtTypes.sip:5: syntax error
:info:configure Command line options:
:info:configure {'debug': False,
:info:configure  'disable_numarray': True,
:info:configure  'disable_numeric': True,
:info:configure  'disable_numpy': False,
:info:configure  'excluded_features': [],
:info:configure  'extra_cflags': [],
:info:configure  'extra_cxxflags': [],
:info:configure  'extra_defines': [],
:info:configure  'extra_include_dirs': ['/opt/local/include',
:info:configure                         '/opt/local/include/qwt',
:info:configure                         '/opt/local/include/python2.7'],
:info:configure  'extra_lflags': [],
:info:configure  'extra_lib_dirs': ['/opt/local/lib'],
:info:configure  'extra_libs': [],
:info:configure  'jobs': '',
:info:configure  'module_install_path': '',
:info:configure  'modules': [],
:info:configure  'qt': 4,
:info:configure  'qwt_sources': '',
:info:configure  'sip_include_dirs': [],
:info:configure  'subdirs': [],
:info:configure  'timelines': [],
:info:configure  'trace': ''}
:info:configure Found SIP-4.19.14.
:info:configure Found 'posix' operating system:
:info:configure 2.7.15 (default, Sep 12 2018, 13:32:25) 
:info:configure [GCC 4.2.1 Compatible Apple LLVM 9.1.0 (clang-902.0.39.2)]
:info:configure Do not get upset by error messages in the next 3 compiler checks:
:info:configure Check if 'size_t' and 'unsigned int' are the same type:
:info:configure NO
:info:configure Check if 'size_t' and 'unsigned long' are the same type:
:info:configure YES
:info:configure Check if 'size_t' and 'unsigned long long' are the same type:
:info:configure NO
:info:configure Found NumPy-1.16.1.
:info:configure Found Qwt-5.1.2.
:info:configure Extended command line options:
:info:configure {'debug': False,
:info:configure  'disable_numarray': True,
:info:configure  'disable_numeric': True,
:info:configure  'disable_numpy': False,
:info:configure  'excluded_features': ['-x HAS_PYQT_031105',
:info:configure                        '-x HAS_NUMARRAY',
:info:configure                        '-x HAS_NUMERIC',
:info:configure                        '-x HAS_QWT4',
:info:configure                        '-x HAS_QWT_SVG'],
:info:configure  'extra_cflags': [],
:info:configure  'extra_cxxflags': [],
:info:configure  'extra_defines': ['HAS_NUMPY'],
:info:configure  'extra_include_dirs': ['/opt/local/include',
:info:configure                         '/opt/local/include/qwt',
:info:configure                         '/opt/local/include/python2.7',
:info:configure                         '/opt/local/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7',
:info:configure                         '/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy/core/include'],
:info:configure  'extra_lflags': [],
:info:configure  'extra_lib_dirs': ['/opt/local/lib'],
:info:configure  'extra_libs': [],
:info:configure  'iqt': 'iqt5qt4',
:info:configure  'iqt_sipfile': '../sip/iqt5qt4/IQtModule.sip',
:info:configure  'jobs': '',
:info:configure  'module_install_path': '/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/PyQt4/Qwt5',
:info:configure  'modules': ['iqt', 'Qwt5'],
:info:configure  'qt': 4,
:info:configure  'qwt': 'qwt5qt4',
:info:configure  'qwt_sipfile': '../sip/qwt5qt4/QwtModule.sip',
:info:configure  'qwt_sources': '',
:info:configure  'sip_include_dirs': [],
:info:configure  'subdirs': ['iqt5qt4', 'qwt5qt4'],
:info:configure  'timelines': ['-t Qwt_5_1_1'],
:info:configure  'trace': ''}
:info:configure The following modules will be built: ['iqt', 'Qwt5'].
:info:configure Setup the PyQwt package build.
:info:configure sip invokation:
:info:configure '/opt/local/bin/sip-2.7 -b tmp-iqt5qt4/iqt5qt4.sbf -c tmp-iqt5qt4   ../sip/iqt5qt4/IQtModule.sip'
:info:configure 0 file(s) lazily copied.
:info:configure Setup the PyQwt package build.
:info:configure sip invokation:
:info:configure '/opt/local/bin/sip-2.7 -I /opt/local/Library/Frameworks/Python.framework/Versions/2.7/share/sip/PyQt4 -b tmp-qwt5qt4/qwt5qt4.sbf -c tmp-qwt5qt4   -x VendorID -t WS_MACX -x PyQt_NoPrintRangeBug -t Qt_4_8_6 -x Py_v3 -g -x HAS_PYQT_031105 -x HAS_NUMARRAY -x HAS_NUMERIC -x HAS_QWT4 -x HAS_QWT_SVG -t Qwt_5_1_1 ../sip/qwt5qt4/QwtModule.sip'
:info:configure SIP failed to generate the C++ code.
:info:configure Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/PyQwt-5.2.0/configure" && /opt/local/bin/python2.7 configure.py -I /opt/local/include -I /opt/local/include/qwt -I /opt/local/include/python2.7 -L /opt/local/lib --disable-numarray --disable-numeric 
:info:configure Exit code: 1
:error:configure Failed to configure py27-pyqwt: configure failure: command execution failed
:debug:configure Error code: NONE
:debug:configure Backtrace: configure failure: command execution failed
:debug:configure     while executing
:debug:configure "$procedure $targetname"
:error:configure See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/main.log for details.
version:1
:debug:sysinfo macOS 10.13 (darwin/17.7.0) arch i386
:debug:sysinfo MacPorts 2.5.4
:debug:sysinfo Xcode 10.1
:debug:sysinfo SDK 10.13
:debug:sysinfo MACOSX_DEPLOYMENT_TARGET: 10.13
:debug:main dropping privileges: euid changed to 502, egid changed to 501.
:debug:main Executing org.macports.main (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:main Skipping completed org.macports.archivefetch (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:main Skipping completed org.macports.fetch (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:main Skipping completed org.macports.checksum (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:main Skipping completed org.macports.extract (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:main Skipping completed org.macports.patch (py27-pyqwt)
:debug:main Privilege de-escalation not attempted as not running as root.
:debug:configure configure phase started at Thu Feb 14 20:28:12 +08 2019
:notice:configure --->  Configuring py27-pyqwt
:debug:configure Preferred compilers: clang macports-clang-5.0 macports-clang-4.0
:debug:configure Using compiler 'Xcode Clang'
:debug:configure Executing org.macports.configure (py27-pyqwt)
:debug:configure Environment: 
:debug:configure CC='/usr/bin/clang'
:debug:configure CC_PRINT_OPTIONS='YES'
:debug:configure CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/.CC_PRINT_OPTIONS'
:debug:configure CFLAGS='-pipe -Os -arch x86_64'
:debug:configure CPATH='/opt/local/include'
:debug:configure CPPFLAGS='-I/opt/local/include'
:debug:configure CXX='/usr/bin/clang++'
:debug:configure CXXFLAGS='-pipe -Os -stdlib=libc++ -arch x86_64'
:debug:configure F77FLAGS='-m64'
:debug:configure F90FLAGS='-pipe -Os -m64'
:debug:configure FCFLAGS='-pipe -Os -m64'
:debug:configure FFLAGS='-pipe -Os'
:debug:configure INSTALL='/usr/bin/install -c'
:debug:configure LDFLAGS='-L/opt/local/lib -Wl,-headerpad_max_install_names -arch x86_64'
:debug:configure LIBRARY_PATH='/opt/local/lib'
:debug:configure MACOSX_DEPLOYMENT_TARGET='10.13'
:debug:configure OBJC='/usr/bin/clang'
:debug:configure OBJCFLAGS='-pipe -Os -arch x86_64'
:debug:configure OBJCXX='/usr/bin/clang++'
:debug:configure OBJCXXFLAGS='-pipe -Os -stdlib=libc++ -arch x86_64'
:info:configure Executing:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/PyQwt-5.2.0/configure" && /opt/local/bin/python2.7 configure.py -I /opt/local/include -I /opt/local/include/qwt -I /opt/local/include/python2.7 -L /opt/local/lib --disable-numarray --disable-numeric 
:debug:configure system:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/PyQwt-5.2.0/configure" && /opt/local/bin/python2.7 configure.py -I /opt/local/include -I /opt/local/include/qwt -I /opt/local/include/python2.7 -L /opt/local/lib --disable-numarray --disable-numeric 
:info:configure size_t_check.cpp:3:9: error: out-of-line definition of 'f' does not match any declaration in 'a'
:info:configure void a::f(unsigned int) {};
:info:configure         ^
:info:configure 1 error generated.
:info:configure size_t_check.cpp:3:9: error: out-of-line definition of 'f' does not match any declaration in 'a'
:info:configure void a::f(unsigned long long) {};
:info:configure         ^
:info:configure 1 error generated.
:info:configure Project MESSAGE: qtAddLibrary: found framework QtCore in directory /opt/local/libexec/qt4/Library/Frameworks
:info:configure /usr/bin/clang++ -c -pipe -O2 -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.13 -Wall -W -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED -I/opt/local/libexec/qt4/share/mkspecs/macx-g++ -I. -I. -I/opt/local/libexec/qt4/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/opt/local/include -I/opt/local/include/qwt -I/opt/local/include/python2.7 -I/opt/local/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy/core/include -I/opt/local/libexec/qt4/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/opt/local/libexec/qt4/include -F/opt/local/libexec/qt4/Library/Frameworks -F/opt/local/libexec/qt4/lib -o qwt_version_info.o qwt_version_info.cpp
:info:configure /usr/bin/clang++ -headerpad_max_install_names -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.13 -o qwt_version_info.app/Contents/MacOS/qwt_version_info qwt_version_info.o   -F/opt/local/libexec/qt4/Library/Frameworks -F/opt/local/libexec/qt4/lib  -F/opt/local/libexec/qt4/Library/Frameworks -F/opt/local/libexec/qt4/lib -L/opt/local/libexec/qt4/lib -framework QtCore 
:info:configure qwt_svg_check.cpp:1:10: fatal error: 'qwt_plot_svgitem.h' file not found
:info:configure #include <qwt_plot_svgitem.h>
:info:configure          ^~~~~~~~~~~~~~~~~~~~
:info:configure 1 error generated.
:info:configure sip: Deprecation warning: ../sip/iqt5qt4/IQtModule.sip:32: %Module version number should be specified using the 'version' argument
:info:configure sip: Deprecation warning: ../sip/qwt5qt4/QwtModule.sip:32: %Module version number should be specified using the 'version' argument
:info:configure sip: ../sip/qwt5qt4/QwtTypes.sip:5: syntax error
:info:configure Command line options:
:info:configure {'debug': False,
:info:configure  'disable_numarray': True,
:info:configure  'disable_numeric': True,
:info:configure  'disable_numpy': False,
:info:configure  'excluded_features': [],
:info:configure  'extra_cflags': [],
:info:configure  'extra_cxxflags': [],
:info:configure  'extra_defines': [],
:info:configure  'extra_include_dirs': ['/opt/local/include',
:info:configure                         '/opt/local/include/qwt',
:info:configure                         '/opt/local/include/python2.7'],
:info:configure  'extra_lflags': [],
:info:configure  'extra_lib_dirs': ['/opt/local/lib'],
:info:configure  'extra_libs': [],
:info:configure  'jobs': '',
:info:configure  'module_install_path': '',
:info:configure  'modules': [],
:info:configure  'qt': 4,
:info:configure  'qwt_sources': '',
:info:configure  'sip_include_dirs': [],
:info:configure  'subdirs': [],
:info:configure  'timelines': [],
:info:configure  'trace': ''}
:info:configure Found SIP-4.19.14.
:info:configure Found 'posix' operating system:
:info:configure 2.7.15 (default, Sep 12 2018, 13:32:25) 
:info:configure [GCC 4.2.1 Compatible Apple LLVM 9.1.0 (clang-902.0.39.2)]
:info:configure Do not get upset by error messages in the next 3 compiler checks:
:info:configure Check if 'size_t' and 'unsigned int' are the same type:
:info:configure NO
:info:configure Check if 'size_t' and 'unsigned long' are the same type:
:info:configure YES
:info:configure Check if 'size_t' and 'unsigned long long' are the same type:
:info:configure NO
:info:configure Found NumPy-1.16.1.
:info:configure Found Qwt-5.1.2.
:info:configure Extended command line options:
:info:configure {'debug': False,
:info:configure  'disable_numarray': True,
:info:configure  'disable_numeric': True,
:info:configure  'disable_numpy': False,
:info:configure  'excluded_features': ['-x HAS_PYQT_031105',
:info:configure                        '-x HAS_NUMARRAY',
:info:configure                        '-x HAS_NUMERIC',
:info:configure                        '-x HAS_QWT4',
:info:configure                        '-x HAS_QWT_SVG'],
:info:configure  'extra_cflags': [],
:info:configure  'extra_cxxflags': [],
:info:configure  'extra_defines': ['HAS_NUMPY'],
:info:configure  'extra_include_dirs': ['/opt/local/include',
:info:configure                         '/opt/local/include/qwt',
:info:configure                         '/opt/local/include/python2.7',
:info:configure                         '/opt/local/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7',
:info:configure                         '/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/numpy/core/include'],
:info:configure  'extra_lflags': [],
:info:configure  'extra_lib_dirs': ['/opt/local/lib'],
:info:configure  'extra_libs': [],
:info:configure  'iqt': 'iqt5qt4',
:info:configure  'iqt_sipfile': '../sip/iqt5qt4/IQtModule.sip',
:info:configure  'jobs': '',
:info:configure  'module_install_path': '/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/PyQt4/Qwt5',
:info:configure  'modules': ['iqt', 'Qwt5'],
:info:configure  'qt': 4,
:info:configure  'qwt': 'qwt5qt4',
:info:configure  'qwt_sipfile': '../sip/qwt5qt4/QwtModule.sip',
:info:configure  'qwt_sources': '',
:info:configure  'sip_include_dirs': [],
:info:configure  'subdirs': ['iqt5qt4', 'qwt5qt4'],
:info:configure  'timelines': ['-t Qwt_5_1_1'],
:info:configure  'trace': ''}
:info:configure The following modules will be built: ['iqt', 'Qwt5'].
:info:configure Setup the PyQwt package build.
:info:configure sip invokation:
:info:configure '/opt/local/bin/sip-2.7 -b tmp-iqt5qt4/iqt5qt4.sbf -c tmp-iqt5qt4   ../sip/iqt5qt4/IQtModule.sip'
:info:configure 0 file(s) lazily copied.
:info:configure Setup the PyQwt package build.
:info:configure sip invokation:
:info:configure '/opt/local/bin/sip-2.7 -I /opt/local/Library/Frameworks/Python.framework/Versions/2.7/share/sip/PyQt4 -b tmp-qwt5qt4/qwt5qt4.sbf -c tmp-qwt5qt4   -x VendorID -t WS_MACX -x PyQt_NoPrintRangeBug -t Qt_4_8_6 -x Py_v3 -g -x HAS_PYQT_031105 -x HAS_NUMARRAY -x HAS_NUMERIC -x HAS_QWT4 -x HAS_QWT_SVG -t Qwt_5_1_1 ../sip/qwt5qt4/QwtModule.sip'
:info:configure SIP failed to generate the C++ code.
:info:configure Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/work/PyQwt-5.2.0/configure" && /opt/local/bin/python2.7 configure.py -I /opt/local/include -I /opt/local/include/qwt -I /opt/local/include/python2.7 -L /opt/local/lib --disable-numarray --disable-numeric 
:info:configure Exit code: 1
:error:configure Failed to configure py27-pyqwt: configure failure: command execution failed
:debug:configure Error code: NONE
:debug:configure Backtrace: configure failure: command execution failed
:debug:configure     while executing
:debug:configure "$procedure $targetname"
:error:configure See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-pyqwt/py27-pyqwt/main.log for details.

Attachments (1)

main.log (35.2 KB) - added by kunrenzhilu 21 months ago.
log file

Download all attachments as: .zip

Change History (9)

Changed 21 months ago by kunrenzhilu

Attachment: main.log added

log file

comment:1 Changed 21 months ago by mf2k (Frank Schima)

Milestone: MacPorts 2.6.0

The Milestone field is for use by Macports team members only, please do not set it.

comment:2 Changed 21 months ago by mf2k (Frank Schima)

Cc: michaelld removed
Keywords: py-pyqwt removed
Owner: set to michaelld
Port: py-pyqwt added
Status: newassigned

In the future, please fill in the Port field.

comment:3 Changed 20 months ago by michaelld (Michael Dickens)

I see the same error. Guessing this is because of the recent SIP update. I'm investigating.

comment:4 Changed 20 months ago by michaelld (Michael Dickens)

Has duplicate #58110 .

comment:5 Changed 20 months ago by michaelld (Michael Dickens)

In bfaaee1c9509531f6ea8e13a75a6fcae6dfb0b4b/macports-ports (master):

py-pyqwt: add patch to update for modern SIP

Hopefully addresses #58064

comment:6 Changed 20 months ago by michaelld (Michael Dickens)

Hopefully fixed in [bfaaee1c9509531f6ea8e13a75a6fcae6dfb0b4b/macports-ports]. Please update your ports tree, clean this port, and try again.

Last edited 19 months ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:7 Changed 20 months ago by michaelld (Michael Dickens)

Has duplicate #58113

comment:8 Changed 20 months ago by michaelld (Michael Dickens)

Resolution: fixed
Status: assignedclosed

I'm going to close this ticket because it works for me and some others I've heard from privately.

Note: See TracTickets for help on using tickets.